{% extends "account/base.html.twig" %}

{% block main %}
  <form class="form container"  method="POST">
      <h1 class="">Modify the comment:</h1>
      <div class="col-md-10 my-2 my-2">
        <label for="text" class="form-label">Text:</label>
        <input type="text" id="text" name="text" class="form-control" value="{{comment.text}}">
      </div>
      {% if updateInfo %}
        <small style="color:blue">* {{updateInfo}}</small>
      {% endif %}

      <div class="col-10 text-center mt-2">
        <button type="submit" class="btn btn-primary" value="submit" name="submit">Apply</button>
        {% if comment.status == "pending" %}
          <button type="button" class="btn btn-success" data-bs-toggle="modal" data-bs-target="#validBackdrop">validate</button>
        {% elseif comment.status == "valid" %}
          <button type="button" class="btn btn-warning" data-bs-toggle="modal" data-bs-target="#validBackdrop">unvalidate</button>
        {% endif %}
        <button type="button" class="btn btn-danger" data-bs-toggle="modal" data-bs-target="#staticBackdrop">Delete</button>
      </div>
      <!-- Button trigger modal -->
  </form>


<!-- Modal -->
<div class="modal fade" id="staticBackdrop" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h1 class="modal-title fs-5" id="staticBackdropLabel"></h1>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
        <h1 class="modal-title fs-5">Do you want to delete this comment ?</h1>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">No</button>
        <a href="http://localhost:86/openblog/public/account/comments/delete/{{comment.id}}" class="btn btn-primary" role="button">Yes</a>
      </div>
    </div>
  </div>
</div>

<div class="modal fade" id="validBackdrop" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="validBackdropLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h1 class="modal-title fs-5" id="validBackdropLabel"></h1>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
        {% if comment.status == "pending" %}
          <h1 class="modal-title fs-5">Do you want to validate this comment ?</h1>
        {% elseif comment.status == "valid" %}
          <h1 class="modal-title fs-5">Do you want to unvalidate this comment ?</h1>
        {% endif %}
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">No</button>
        {% if comment.status == "pending" %}
        <a href="http://localhost:86/openblog/public/account/comments/validate/{{comment.id}}" class="btn btn-primary" role="button">Yes</a>
        {% elseif comment.status == "valid" %}

        <a href="http://localhost:86/openblog/public/account/comments/unvalidate/{{comment.id}}" class="btn btn-primary" role="button">Yes</a>
        {% endif %}
      </div>
    </div>
  </div>
</div>
{% endblock %}